=== debian/changelog ===
bcfg2 (1.0.1-3+squeeze2) stable-security; urgency=high

  * Backport upstream patch to fix unescaped shell command issues in the
    Trigger plugin (Closes: #679272)

 -- Arto Jantunen <viiru@debian.org>  Wed, 27 Jun 2012 13:34:38 +0300

bcfg2 (1.0.1-3+squeeze1) stable-security; urgency=high

  * Apply patch from Chris St. Pierre to fix several problems with
    unescaped shell commands (Closes: #640028).

 -- Arto Jantunen <viiru@debian.org>  Thu, 18 Aug 2011 20:06:06 +0300

bcfg2 (1.0.1-3) unstable; urgency=medium

  [ Arto Jantunen ]
  * Rewrote the Bcfg2 server init script to address a long list of issues
    (Closes: #591030)
  * Remove support for agent mode (no longer supported upstream), note
    the removal in debian/NEWS
  * Apply patch from upstream to remove nonexistent agent options from
    the client manpage
  * Update Standards-Version to 3.9.1.0, no changes
  * Use correct package name for SQLAlchemy in Suggests

 -- Arto Jantunen <viiru@debian.org>  Tue, 10 Aug 2010 17:59:44 +0300

bcfg2 (1.0.1-2) unstable; urgency=medium

  [ Arto Jantunen ]
  * Urgency medium for the Python 2.6 transition and the debsums fix
  * debian/changelog: Correct the bug number for the python-apt
    transition
  * Python 2.6 is default in unstable and #576517 has been fixed, update
    build-deps accordingly and remove workaround
  * Converted to source format 3.0 (quilt)
  * Apply patch from upstream to fix debsums incompatibility (Closes:
    #586717)
  * Apply patch from upstream to silence a few deprecation warnings from
    python-apt (Closes: #586718)
  * Update Standards-Version to 3.9.0.0 (no changes)

 -- Arto Jantunen <viiru@debian.org>  Mon, 05 Jul 2010 20:38:37 +0300

bcfg2 (1.0.1-1) unstable; urgency=low

  [ Arto Jantunen ]
  * Take over bcfg2, with permission from maintainer, keep Sami as an Uploader
  * New upstream version (Closes: #572874)
  * Upstream is using the new python-apt api (Closes: #572056)
  * Integrate packaging work done upstream, changes below are relative to 
    current upstream debian dir
  * Remove strange Recommends from bcfg2
  * Remove override_dh_auto_install, based on the ticket it was never really 
    needed
  * Include tools/create-debian-pkglist.py as an example and document it's use 
    in README.Debian (Closes: #424884)
  * debian/changelog: Include NMUs by Neil McGovern and Matthias Klose,
                      also include upstream changes up to 1.0.1
  * Remove build-dep on python-dev, bcfg2 does not contain any C extensions
  * Update Standards-Version to 3.8.4.0, no changes
  * Remove upstream workaround for Debian bug #546293, build-depend on
    debhelper 7.4.2 for the fix
  * Clean up Depends, use binary:Version instead of deprecated Source-Version
  * Add debian/source/format (1.0)
  * Move from dh compat 5 to 7
  * Add debian/pyversions to show that we require python2.6 (for server ssl
    support, client could use m2crypto)
  * Override python-support dependency generation for bcfg2-server (see #576517)
  
 -- Arto Jantunen <viiru@debian.org>  Sat, 27 Mar 2010 11:11:27 +0200

bcfg2 (1.0.1-0.1) unstable; urgency=low

  * New upstream release

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 21 Jan 2010 09:56:12 -0600

bcfg2 (1.0.1-0.0rc4) unstable; urgency=low

  * New upstream release

 -- Narayan Desai <desai@mcs.anl.gov>  Wed, 13 Jan 2010 08:11:09 -0600

bcfg2 (1.0.1-0.0rc3) unstable; urgency=low

  * New upstream release

 -- Sol Jerome <solj@ices.utexas.edu>  Tue, 05 Jan 2010 08:22:17 -0600

bcfg2 (1.0.1-0.0rc2) unstable; urgency=low

  * New upstream release

 -- Narayan Desai <desai@mcs.anl.gov>  Mon, 04 Jan 2010 10:57:22 -0600

bcfg2 (1.0.1-0.0rc1) unstable; urgency=low

  * New upstream release

 -- Narayan Desai <desai@mcs.anl.gov>  Wed, 30 Dec 2009 10:14:43 -0600

bcfg2 (1.0.0-6) unstable; urgency=low

  * final 1.0.0 release + debian directory from r5630

 -- Daniel Clark <dclark@pobox.com>  Sun, 23 Dec 2009 02:13:44 -0500

bcfg2 (1.0.0-4) unstable; urgency=low

  * final 1.0.0 release + debian directory from r5621

 -- Daniel Clark <dclark@pobox.com>  Sun, 15 Dec 2009 06:12:33 -0500

bcfg2 (1.0.0-2) unstable; urgency=low

  * final 1.0.0 release + debian directory from r5619

 -- Daniel Clark <dclark@pobox.com>  Sun, 11 Dec 2009 15:59:33 -0500

bcfg2 (1.0.0-1) unstable; urgency=low

  * final release

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 05 Nov 2009 17:40:46 -0600

bcfg2 (1.0.0~rc4-1) unstable; urgency=low

  * last release candidate

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 05 Nov 2009 16:10:39 -0600

bcfg2 (1.0.0~rc3-1) unstable; urgency=low

  [ Narayan Desai ]
  * new release candidate

 -- Narayan Desai <desai@mcs.anl.gov>  Wed, 04 Nov 2009 23:47:56 -0600

bcfg2 (1.0.0~rc2-1) unstable; urgency=low

  [ Narayan Desai ]
  * new release candidate

  [ Sami Haahtinen ]
  * Update packaging
  * Switch to plain debhelper
  * Switch from pycentral to python-support
  * Move homepage to the dedicated Homepage field
  * Update Standards-Version to 3.8.3.0
  * Add python-m2crypto as dependency
  * bcfg2-server needs python2.4+

 -- Sami Haahtinen <ressu@debian.org>  Sat, 24 Oct 2009 00:20:51 +0300

bcfg2 (1.0.0rc1-0.1) unstable; urgency=low

  * first release candidate

 -- Narayan Desai <desai@mcs.anl.gov>  Sun, 25 Oct 2009 21:40:44 -0500

bcfg2 (1.0pre5-0.2) unstable; urgency=low

  * version bump to 1.0pre5

 -- Narayan Desai <desai@mcs.anl.gov>  Thu, 23 Jul 2009 10:54:06 -0500

bcfg2 (1.0pre4-0.2) unstable; urgency=low

  * Remove python-cheetah dependency

 -- Sol Jerome <solj@ices.utexas.edu>  Wed, 15 Jun 2009 14:30:25 -0500

bcfg2 (1.0pre4-0.1) unstable; urgency=low

  * new prerelease

 -- Narayan Desai <desai@mcs.anl.gov>  Wed, 24 Jun 2009 20:58:52 -0500

bcfg2 (1.0pre3-0.1) unstable; urgency=low

  * new prerelease

 -- Narayan Desai <desai@mcs.anl.gov>  Fri, 22 May 2009 12:37:13 -0500

bcfg2 (1.0pre2-0.1) unstable; urgency=low

  * new prerelease


