=== debian/control ===
Source: bcfg2
Section: admin
Priority: optional
Maintainer: Arto Jantunen <viiru@debian.org>
Uploaders: Sami Haahtinen <ressu@debian.org>
Build-Depends: debhelper (>= 7.4.2), python (>= 2.6) | python2.6, python-support (>= 1.0.9)
Standards-Version: 3.9.1.0
Homepage: http://bcfg2.org/

Package: bcfg2
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, debsums, python-apt, python-lxml (>= 0.9), ucf, lsb-base (>= 3.1-9)
Description: Configuration management client
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2 is the client portion of bcfg2 system which installs configuration
 images provided by bcfg2-server

Package: bcfg2-server
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-lxml (>= 0.9), libxml2-utils (>= 2.6.23), lsb-base (>= 3.1-9), ucf, bcfg2 (= ${binary:Version}), openssl, fam | gamin, python-fam | python-gamin, fam | python-gamin, gamin | python-fam
Recommends: graphviz
Suggests: python-cheetah, python-genshi (>= 0.4.4), python-profiler, python-sqlalchemy (>= 0.5.0), python-django, mail-transport-agent
Description: Configuration management server
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2-server is the server for bcfg2 clients, which generates configuration
 sets and stores statistics of client system states.
