=== debian/changelog ===
bcfg2 (1.1.1-2ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Added patches:
      + Add NagiosGen patch to support "parents" in Nagios
      + Add BackupPCGen plugin by Revolution Linux (off by default).
      + Make ssh_known_hosts base64 to avoid timeouts (SSHGen).
    - Depends: Update to use gamin by default (to avoid installing portmap).
    - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
    - Suggests: Move genshi and cheetah to Recommends (for templating).
  * Dropped change, not needed:
    - Build-Depends: Change python-support from >= 1.0.9
      to >=1.0.4 (to make backporting easier).

 -- Angel Abad <angelabad@ubuntu.com>  Thu, 17 Feb 2011 10:53:58 +0100

bcfg2 (1.1.1-2) unstable; urgency=low

  * The "Yay Squeeze" release
  * Upload to unstable
  * Transition to dh_python2
  * Upstream has added a man page for bcfg2-reports (Closes: #608613)

 -- Arto Jantunen <viiru@debian.org>  Thu, 10 Feb 2011 18:49:19 +0200

bcfg2 (1.1.1-1ubuntu2) natty; urgency=low

  * Added patches:
   - Add NagiosGen patch to support "parents" in Nagios

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 01 Jan 2011 16:22:56 -0500

bcfg2 (1.1.1-1ubuntu1) natty; urgency=low

  * Added patches
    - Add BackupPCGen plugin by Revolution Linux (off by default).
    - Make ssh_known_hosts base64 to avoid timeouts (SSHGen).

  * Maintainer: Change to "Ubuntu Developers"
  * Build-Depends: Change python-support from >= 1.0.9
    to >=1.0.4 (to make backporting easier).
  * Depends: Update to use gamin by default (to avoid installing portmap).
  * Recommends: Move graphviz to Suggests (avoid libX11 on a server).
  * Suggests: Move genshi and cheetah to Recommends (for templating).

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 14 Dec 2010 16:16:38 -0500

bcfg2 (1.1.1-1) experimental; urgency=low

  * New upstream version 1.1.1
  * Rebase patches to fit
  * Include the posixunified.py repo conversion script, and mention it
    in NEWS.Debian

 -- Arto Jantunen <viiru@debian.org>  Sun, 28 Nov 2010 16:41:17 +0200

bcfg2 (1.1.0-1) experimental; urgency=low

  * New upstream version 1.1.0
  * Note potential upgrade issues in NEWS.Debian
  * All patches included upstream, remove them
  * Add patch to remove ignores of Python-Apt related deprecation
    warnings
  * Add patch to use the new Python-Apt api
  * Add patch to update the create-debian-pkglist.py tool to the new
    Python-Apt api
  * Depend on python-apt (>= 0.7.91) for the new api

 -- Arto Jantunen <viiru@debian.org>  Fri, 05 Nov 2010 19:18:43 +0200
