=== debian/control ===
Source: bcfg2
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Arto Jantunen <viiru@debian.org>
Uploaders: Sami Haahtinen <ressu@debian.org>
Build-Depends: debhelper (>= 7.4.2), python (>= 2.6.6-3)
Standards-Version: 3.9.1.0
Homepage: http://bcfg2.org/
X-Python-Version: >= 2.6

Package: bcfg2
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, debsums, python-apt (>= 0.7.91), python-lxml (>= 0.9), ucf, lsb-base (>= 3.1-9)
Breaks: ${python:Breaks}
Description: Configuration management client
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2 is the client portion of bcfg2 system which installs configuration
 images provided by bcfg2-server

Package: bcfg2-server
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-lxml (>= 0.9), libxml2-utils (>= 2.6.23), lsb-base (>= 3.1-9), ucf, bcfg2 (= ${binary:Version}), openssl, gamin | fam, python-gamin | python-fam, python-gamin | fam, python-fam | gamin
Recommends: python-genshi (>= 0.4.4), python-cheetah
Suggests: python-profiler, python-sqlalchemy (>= 0.5.0), python-django, mail-transport-agent, graphviz
Description: Configuration management server
 Bcfg2 is a configuration management system that generates configuration sets
 for clients bound by client profiles.
 bcfg2-server is the server for bcfg2 clients, which generates configuration
 sets and stores statistics of client system states.
