=== debian/changelog ===
bcfg2 (1.1.2-2ubuntu1) oneiric; urgency=low

  * Merge upstream bugfix only release 1.1.2.
  * Also fixes CVE 2011-3211 (LP: #844743)

  * Merge from debian unstable.  Remaining changes:
    - Added patches:
      + Add NagiosGen patch to support "parents" in Nagios
      + Add BackupPCGen plugin by Revolution Linux (off by default).
      + Make ssh_known_hosts base64 to avoid timeouts (SSHGen).
    - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
    - Suggests: Move genshi and cheetah to Recommends (for templating).

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 08 Sep 2011 09:38:14 -0400

bcfg2 (1.1.2-2) unstable; urgency=high

  * Urgency=high due to security fix
  * Apply patch from Torsten Rehn to honor BCFG2_SERVER_OPTIONS in the
    server init script (Closes: #634875)
  * Remove deprecated Breaks: ${python:Breaks}
  * Add dependency on patch to bcfg2-server, the Cfg plugin needs it
    (Closes: #638826)
  * Build-Depend on python-all instead of just python
  * Refresh patches to match what current gbp-pq generates
  * Apply patch from Chris St. Pierre to fix security issues caused by
    unescaped shell commands (Closes: #640028)

 -- Arto Jantunen <viiru@debian.org>  Thu, 01 Sep 2011 18:38:51 +0300

bcfg2 (1.1.2-1) unstable; urgency=low

  * New upstream version 1.1.2
  * Patches 0004 and 0005 included upstream, remove them
  * Update Standards-Version to 3.9.2.0, no changes

 -- Arto Jantunen <viiru@debian.org>  Thu, 02 Jun 2011 11:50:12 +0300

bcfg2 (1.1.1-3ubuntu3) oneiric; urgency=low

  * Apply patch from Torsten Rehn to resolve $BCFG2_SERVER_OPTIONS
    not being honored in the bcfg2-server initscript. (LP: #781612)

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 20 Jul 2011 13:58:56 -0400

bcfg2 (1.1.1-3ubuntu2) oneiric; urgency=low

  * Add python2.7 fix (LP: #777999)
  * Sort patches/series to make it easier to read

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 16 May 2011 09:56:46 -0400

bcfg2 (1.1.1-3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Added patches:
      + Add NagiosGen patch to support "parents" in Nagios
      + Add BackupPCGen plugin by Revolution Linux (off by default).
      + Make ssh_known_hosts base64 to avoid timeouts (SSHGen).
    - Recommends: Move graphviz to Suggests (avoid libX11 on a server).
    - Suggests: Move genshi and cheetah to Recommends (for templating).
  * Dropped change, fixed in Debian:
    - Depends: Update to use gamin by default (to avoid installing portmap).

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 02 May 2011 14:52:02 +0200

bcfg2 (1.1.1-3) unstable; urgency=low

  * Use debhelper 8
  * Drop dependency on python-fam and fam, support only gamin (Closes: #613042)
  * Cherry-pick patch from upstream to fix bcfg2 -S (Closes: #608622)
  * Cherry-pick patch from upstream to add man page for bcfg2-ping-sweep
    (Closes: #608611)

 -- Arto Jantunen <viiru@debian.org>  Thu, 17 Mar 2011 21:07:53 +0200
