=== debian/changelog ===
bcfg2 (1.1.3-1) unstable; urgency=low

  * New upstream version 1.1.3
  * Remove patch 0004, applied upstream
  * Fix the "Generated config for" regexp in the server logcheck
    ignore file, thanks Michael Erickson (Closes: #642269)
  * Add Vcs-Browser and Vcs-Git urls to debian/control

 -- Arto Jantunen <viiru@debian.org>  Sun, 25 Sep 2011 14:28:38 +0300
