=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: bcfg2
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Arto Jantunen <viiru@debian.org>
+Maintainer: Arto Jantunen <viiru@debian.org>
 Uploaders: Sami Haahtinen <ressu@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3)
 Standards-Version: 3.9.2.0
 Homepage: http://bcfg2.org/
 X-Python-Version: >= 2.6
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bcfg2.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/bcfg2.git
 
 Package: bcfg2
 Architecture: all
@@ -21,8 +22,8 @@
 Package: bcfg2-server
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-lxml (>= 0.9), libxml2-utils (>= 2.6.23), lsb-base (>= 3.1-9), ucf, bcfg2 (= ${binary:Version}), openssl, gamin, python-gamin, patch
-Recommends: python-cheetah, python-genshi (>= 0.4.4)
-Suggests: python-profiler, python-sqlalchemy (>= 0.5.0), python-django, mail-transport-agent, graphviz
+Recommends: graphviz
+Suggests: python-cheetah, python-genshi (>= 0.4.4), python-profiler, python-sqlalchemy (>= 0.5.0), python-django, mail-transport-agent
 Description: Configuration management server
  Bcfg2 is a configuration management system that generates configuration sets
  for clients bound by client profiles.
